Bug 134236 - Nautilus is still prompting for user/domain/pass when valid kerberos ticket exists
Summary: Nautilus is still prompting for user/domain/pass when valid kerberos ticket e...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-vfs2   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomáš Bžatek
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-30 14:26 UTC by Anonymous
Modified: 2015-03-03 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 15:59:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anonymous 2004-09-30 14:26:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
The latest version of gnome-vfs2-smb has built-in functionality to
authenticate to smb shares using kerberos.  However, when I attempt to
access a share through nautilus, I still get a username / domain /
password dialogue window.  I don't have to actually fill in any of the
info, so the kerberos functionality is working, but why do I get
prompted?  Is this in case someone wants to authenticate with
different creds?

Version-Release number of selected component (if applicable):
gnome-vfs2-smb-2.8.1-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Obtain a kerberos ticket (via a regular login or via kinit)
2. Use nautilus to go to a share in the same kerberos realm

    

Actual Results:  a username / domain / password prompt dialogue appears

Expected Results:  No prompting should happen at all.  

Additional info:

Comment 1 Klaasjan Brand 2006-01-17 11:08:25 UTC
My experience with FC4 is the dialog also appears, but leaving the fields blank
will not let me log in. Smbclient -k does work, so kerberos is setup correctly.


Comment 2 Jiri Pallich 2012-06-20 15:59:12 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.